curl --request GET \
--url https://api.coinlist.co/v1/pii \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinlist.co/v1/pii"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinlist.co/v1/pii', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date_of_birth": "1990-01-15",
"full_legal_name": "Aleksander Nowak",
"jurisdiction": {
"iso_2": "PL",
"name": "Poland"
},
"kind": "person",
"object": "user_pii",
"permanent_address": {
"city": "Warsaw",
"country": "PL",
"postal_code": "00-001",
"state": "<string>",
"street": "ul. Nowy Świat 12"
},
"tax_id": "<string>"
}{
"message": "<string>",
"type": "api_error",
"code": "<string>",
"errors": {},
"event_id": "<string>"
}Get PII for the authenticated partner and user
Returns the user’s PII (full legal name, country of citizenship, tax ID, permanent address) to pre-fill tax forms such as the W-8BEN. Fields that are unavailable are null.
Authorizations
OAuth 2.0 authorization and token endpoints
Response
Successful response.
The user's PII used to pre-fill tax forms. Fields that are unavailable are null.
Date of birth as an ISO 8601 date (YYYY-MM-DD). Null for companies and when unavailable.
"1990-01-15"
Full legal name. For persons: first, middle and last name joined. For companies: the company name.
"Aleksander Nowak"
Jurisdiction of the entity, sourced from the entity's address country
Show child attributes
Show child attributes
Kind of the entity the PII belongs to
person, company "person"
String representing the object's type. Objects of the same type share the same value.
user_pii Permanent address of the entity
Show child attributes
Show child attributes
Tax identification number. For persons: SSN or foreign TIN. For companies: EIN.